<?php

namespace Intergo\UserCallbackClient\Services;

use Intergo\UserCallbackClient\Enums\UserCallbackEnum;
use Illuminate\Support\Facades\Redis;
use Illuminate\Redis\Connections\Connection;

abstract class AbstractRedisManager
{
    protected Redis $redis;

    public function __construct(Redis $redis)
    {
        $this->redis = $redis;
    }

    /**
     * @return string
     */
    protected function cacheConnectionName()
    {
        return UserCallbackEnum::CALLBACKS_STORE;
    }

    /**
     * @return Connection
     */
    protected function cacheConnection()
    {
        return $this->redis::connection($this->cacheConnectionName());
    }
}