<?php

namespace Intergo\CacheManagers;

use Intergo\UserCallbackClient\Services\AbstractRedisManager;
use Psr\SimpleCache\InvalidArgumentException;

class UserCallbackCountManager extends AbstractRedisManager
{
    /**
     * @param $userId
     * @return string
     */
    public function key($userId)
    {
        return "User:$userId:callbacks_count";
    }

    /**
     * @param $userId
     * @return mixed
     */
    public function get($userId)
    {
        return $this->cacheConnection()->get($this->key($userId));
    }

    /**
     * @param $userId
     * @return int
     */
    public function increment($userId)
    {
        return $this->cacheConnection()->increment($this->key($userId));
    }
}
