<?php

namespace Intergo\UserCallbackClient\Jobs;

use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Intergo\Log\GrayLogHandler;
use Intergo\UserCallbackClient\ValueObjects\UserCallbackData;

class BaseSendUserCallback implements ShouldQueue
{

    use Batchable, InteractsWithQueue, Queueable, SerializesModels;

    protected UserCallbackData $data;
    protected string $trace_id;
    public int $priority = 3;
    protected int $jobsCount;

    /**
     * Constructor to assign data
     *
     * @param UserCallbackData $data
     * @param $priority
     * @param $jobsCount
     * @param string $traceId
     */
    public function __construct(UserCallbackData $data, $priority, $jobsCount, string $traceId)
    {
        $this->trace_id = $traceId;
        $this->data = $data;
        $this->priority = $priority;
        $this->jobsCount = $jobsCount;
    }

    /**
     * @return void
     */
    public function handle()
    {
        //
    }

}
